Bug 62769 - XFree86 4.2.0 src rpm do not compile with gcc3, fix within
XFree86 4.2.0 src rpm do not compile with gcc3, fix within
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-05 07:38 EST by Vladimir Kondratiev
Modified: 2007-04-18 12:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-08 20:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to compile with gcc3 (261 bytes, patch)
2002-04-05 07:39 EST, Vladimir Kondratiev
no flags Details | Diff

  None (edit)
Description Vladimir Kondratiev 2002-04-05 07:38:41 EST
Description of Problem:
With gcc3, XFree86 4.2.0 src rpm do not compile

Version-Release number of selected component (if applicable): 4.2.0-6.51


How Reproducible:
always


Steps to Reproduce:
1. rpm --rebuild ...
2. 
3. 

Additional Information:
Actually, one string needs to be corrected in 
ttmkfdir-freetype2-port-plus-cjk-chocolaty-goodness.patch

It adds class member (for ttmkfdir2/ttf.h)
	string		    FileName;
it should sounds
	std::string	    FileName;

With this correction, src rpm do compiles (I used gcc 3.0.4, but for 3.1beta
should be the same).

I will attach patch (should be applied after
ttmkfdir-freetype2-port-plus-cjk-chocolaty-goodness.patch)
Comment 1 Vladimir Kondratiev 2002-04-05 07:39:42 EST
Created attachment 52344 [details]
patch to compile with gcc3
Comment 2 Mike A. Harris 2002-04-08 18:29:31 EDT
Yu: Is this patch needed still, or do your latest fixes include it already?
This isn't critical for our final release however, as we're not building with
gcc 3.x.

Also, 4.3.0 may end up not requiring ttmkfdir anymore with the new
mkfontscale program.
Comment 3 Yu Shao 2002-04-08 20:43:34 EDT
Hi Mike, Bero@redhat.com has done this.
Comment 4 Mike A. Harris 2002-04-19 18:05:28 EDT
Closing as RAWHIDE then, thanks.

Note You need to log in before you can comment on or make changes to this bug.